2017-11-21 14:34 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000131Cheat Enginepublic2009-09-25 22:04
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionduplicate 
Summary0000131: CE 5.5 does not accept certain defines
DescriptionCE does not accept this code:

[ENABLE]
...
define(VAR_PTR,00010E06)
...
VAR_PTR:
db 1
...

[DISABLE]
...
VAR_PTR:
db 0
...

I understand the address is not quite usual, but still - if I know what I am doing...
Additional InformationBTW: the error message CE gives is incorrect - there is nothing wrong with the address.

Let me know if you need more info to fix this.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000265

Dark Byte (developer)

I can't think of one reason you'd want to use a define as a address, but yes, it's current;y not supported

(You do know you can put calculations as address as well right? e.g [00401234]+15: would access a pointer location)

~0000267

Csimbi (reporter)

Last edited: 2009-07-28 01:29

To initialize default values when the trainer is enabled/disabled.
This way, I do not need to write extra code that sets the default and remembers that it has been set.

~0000294

Dark Byte (developer)

this already works in ce 5.5
I don't know what error you got

note: remove the lines saying ...

~0000302

Csimbi (reporter)

Actually, I think it has something to do with issue 0000116 .
I could not define global constants (outside [enable] and [disable]), so I assumed it should work under [enable]. However, that define is not valid in the scope of [disable] - and this causes the error.
I think fixing 0000116 will take care of this.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-24 02:23 Csimbi New Issue
2009-07-25 16:03 Dark Byte Note Added: 0000265
2009-07-25 16:03 Dark Byte Status new => confirmed
2009-07-27 22:00 Csimbi Note Added: 0000267
2009-07-28 01:29 Csimbi Note Edited: 0000267
2009-09-24 21:08 Dark Byte Note Added: 0000294
2009-09-24 21:08 Dark Byte Status confirmed => resolved
2009-09-24 21:08 Dark Byte Resolution open => fixed
2009-09-24 21:08 Dark Byte Assigned To => Dark Byte
2009-09-25 00:16 Csimbi Note Added: 0000302
2009-09-25 00:16 Csimbi Status resolved => feedback
2009-09-25 00:16 Csimbi Resolution fixed => reopened
2009-09-25 22:04 Dark Byte Status feedback => resolved
2009-09-25 22:04 Dark Byte Resolution reopened => duplicate
+Issue History